StreamCharBuffer.StreamCharBufferWriter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Java] Class StreamCharBuffer.StreamCharBufferWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.StreamCharBufferWriter

All Implemented Interfaces:
  EncodedAppenderFactory, EncodedAppenderWriterFactory

    public final class StreamCharBuffer.StreamCharBufferWriter
    extends java.io.Writer

This is the java.io.Writer implementation for StreamCharBuffer

Authors:
  Lari Hotari, Sagire Software Oy

Method Summary
`java.io.Writer` | `append(java.lang.CharSequence csq, int start, int end)`
`java.io.Writer` | `append(java.lang.CharSequence csq)`
`void` | `append(Encoder encoder, char character)`
`protected void` | `appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)`
`void` | `close()`
`void` | `flush()`
`StreamCharBuffer` | `getBuffer()`
`EncodedAppender` | `getEncodedAppender()`
`java.io.Writer` | `getWriterForEncoder(Encoder encoder, EncodingStateRegistry encodingStateRegistry)`
`boolean` | `isClosed()`
`boolean` | `isUsed()`
`void` | `markUsed()`
`int` | `resetUsed()`
`void` | `write(char[] b, int off, int len)`
`void` | `write(java.lang.String str)`
`void` | `write(java.lang.String str, int off, int len)`
`void` | `write(StreamCharBuffer subBuffer)`
`void` | `write(int b)`

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### append

    @java.lang.Overrideif (csq == null) {
    public final java.io.Writer append(java.lang.CharSequence csq, int start, int end)

### append

    @java.lang.Overridewrite("null");
    public final java.io.Writer append(java.lang.CharSequence csq)

### append

    public void append(Encoder encoder, char character)

### appendCharSequence

    protected void appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)

### close

    @java.lang.Override}
    public void close()

### flush

    @java.lang.Override}
    public void flush()

### getBuffer

    public final StreamCharBuffer getBuffer()

### getEncodedAppender

    public EncodedAppender getEncodedAppender()

### getWriterForEncoder

    public java.io.Writer getWriterForEncoder(Encoder encoder, EncodingStateRegistry encodingStateRegistry)

### isClosed

    public boolean isClosed()

### isUsed

    public boolean isUsed()

### markUsed

    public final void markUsed()

### resetUsed

    public int resetUsed()

### write

    @java.lang.Override
    public final void write(char[] b, int off, int len)

### write

    @java.lang.Override
    public final void write(java.lang.String str)

### write

    @java.lang.Override
    public final void write(java.lang.String str, int off, int len)

### write

    public final void write(StreamCharBuffer subBuffer)

### write

    @java.lang.OverrideallocBuffer.write((char) b);
    public void write(int b)

Groovy Documentation